import { NgModule } from '@angular/core';
import { SharedModule } from '@shared/shared.module';
import { GisShowComponent } from './gis-show/gis-show.component';
import { RouterModule, Routes } from '@angular/router';
import { CommonModule } from '@angular/common';
import { PipeModule } from '@business/pipe/pipe.module';
import { EnterpriseDataComponent } from './enterprise-data/enterprise-data.component';
import { StandardAlarmComponent } from './standard-alarm/standard-alarm.component';


const routes: Routes = [
  {
    path: '',
    children: [
      { path: 'gis-show', component: GisShowComponent },
      { path: 'enterprise-data', component: EnterpriseDataComponent },
      { path: 'standard-alarm', component: StandardAlarmComponent }
    ]
  }
];
const COMPONENT_NOROUNT = [];

@NgModule({
  imports: [
    // 管道模块必须当前模块导入
    PipeModule,
    CommonModule,
    SharedModule,
    RouterModule.forChild(routes)
  ],
  declarations: [
      ...COMPONENT_NOROUNT,
      EnterpriseDataComponent,
      StandardAlarmComponent,
      GisShowComponent
  ],
  entryComponents: COMPONENT_NOROUNT
})
export class EnterpriseManagementModule { }
